%define kdeprefix /usr
%define version 0.7.1
%define kderelease 2

%define qtver qt >= 1.42

%define kdename kwintv
Name: %{kdename}
Summary: KWinTV works with bttv-based TV-cards to watch TV on your desktop.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://www.mathematik.uni-kl.de/pub/Sources/misc/programs/%{kdename}-%{version}.tar.gz
Patch0: kwintv-0.7.1-buildroot.patch
License: GPL
URL: http://www.mathematik.uni-kl.de/~wenk/kwintv/
Group: Development/Debuggers
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}
Prereq: chkfontpath
Requires: MAKEDEV >= 2.5
Exclusivearch: i386

%description
KWinTV is a KDE application based on the bttv-driver by Ralph
Metzler. KWinTV allows you to watch TV in a window on your PC
screen. It has more or less the same abilities as xtvscreen which is
included in the bttv-driver package, but it integrates well into the
K Desktop Environment (KDE).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}-%{version}
%patch0 -p1 -b .buildroot

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/kwintv
if [ ! -c /dev/video0 -a `id -u` = 0 ]; then
  cd /dev && ./MAKEDEV video
fi

%postun
if [ $1 = 0 ]; then
  /usr/sbin/chkfontpath -q -r /usr/share/fonts/default/kwintv
fi

%files -f ../file.list.%{kdename}

%changelog
* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- create v4l devices in post if they are not already present

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







